cancel
Showing results for 
Search instead for 
Did you mean: 

Standard SWCV imported in ESR, but not visible in SPROXY of ECC server

former_member188019
Active Participant
0 Kudos
565

Hi all,

We have properly configured the proxy runtime configuration between ECC server and PI server.

the sproxy in ECC shows it is connected to ESR of PI server.

SPROXY shows our SWCVs that we manually created SLD and imported into ESR.

we are now trying to use a standard SWCV in our implementation.

from SLD, we imported a swcv SAP HR 6.00 from SLD into ESR.

But the swcv SAP HR 6.00 is not visible in SPROXY of connected ECC server.

if a create a new product and swcv and import into ESR, that newly created SWCV is visible in ESR,

but not the swcv SAP HR 6.00

i searched in sdn, got several hits, but could not find the way to resolve it:

e.g.

Michal Krawczyk :

in sproxy you don't see those SWCV which have sap.com namespace

Stefan Grube :

Maybe we should explain it more detailled:

- a customer SWVC is not shown in SPROXY, when vendor = sap.com

- s standard SAP SWVC is not shown, when it is not assigned to Business System in SLD

As per Stefan's suggestion, i tried adding the swcv SAP HR 6.00 to the technical system and assined the swcv to the Business System in SLD.

but that did not help.

is there anything i am missing,

if the swcv is not visible in sproxy, how can our ECC server application programs can trigger the interfaces mentioned in the standard SWCVs.

thanks in advance,

Madhu_1980

Accepted Solutions (1)

Accepted Solutions (1)

Former Member
0 Kudos

Hi Madhu,

Check for the SAP HR 6.0 in ERP as Stefen suggested, this you can do from SLD itself.

Go to ERP Technical System in SLD, and check for the Products/SWCV's available for this technical system. In which your SAP HR 6.0 should be available. Please don't consider manually added Product/SWCV here. These Product/SWCV's details will be updated to PI SLD by the ERP system itself using SLD Data Bridge.

Regards

Praveen K

former_member188019
Active Participant
0 Kudos

thanks Stefan and Praveen,

I checked in ECC for the installed components.

I has got SAP HR 6.04 and not SAP HR 6.00

when i added SAP HR 6.04 into ESR, this was visible in SPROXY, little relief

in my scenario, the sender is ECC, but the reciever application is based on swcv E-FILING GB 1.0, this swcv and its content is also delivered by SAP.

the problem here is:

In several objects of this swcv E-FILING GB 1.0, (e.g , in all message mappings, interface mappings and process integration scenarios objects), in many places it is using all the objects of SAP HR 6.00 and not SAP HR 6.04.

so, i am supposed to use SAP HR 6.00 from ECC.

when i checked with basis team, they conveyed, as SAP HR 6.04 is already installed on ECC, they cannot install SAP HR 6.00 on the same ECC server.

will have to see if i can modify the standard content of E-FILING GB 1.0 delivered by sap to reference to SAP HR 6.04 instead of SAP HR 6.00

Former Member
0 Kudos

Hi Madhu,

"In several objects of this swcv E-FILING GB 1.0, (e.g , in all message mappings, interface mappings and process integration scenarios objects), in many places it is using all the objects of SAP HR 6.00 and not SAP HR 6.04."

For this check whether if you have any latest E-FILING GB 1.0 versions released by SAP in Service Marketplace.

I mean latest service packs, where objects reflecting SAP HR 6.04 .

And please check with SAP (by raising an OSS note) before you for customizing the objects as per your Systems SWCV's inconsistancies.

Service Market Place update:

There are nearly 19 SP's released by SAP for E-FILING GB 1.0. So better check which version suits your target application system. I'm sure your will find a solution with the correct version of SP, instead of customization of objects.

"Patch0 for XI Content E-FILING GB 1.0 SP19 "

Regards

Praveen K

Edited by: Praveen Kurni on Jun 16, 2011 12:22 PM

former_member188019
Active Participant
0 Kudos

Praveen Kurni:

There are nearly 19 SP's released by SAP for E-FILING GB 1.0. So better check which version suits your target application system. I'm sure your will find a solution with the correct version of SP, instead of customization of objects.

"Patch0 for XI Content E-FILING GB 1.0 SP19 "

yes i am using the latest one which is "Patch0 for XI Content E-FILING GB 1.0 SP19", and sap confirmed that this is the only latest one, which is based on SAP HR 6.00 design objects.

Former Member
0 Kudos

Hi Madhu,

"when i checked with basis team, they conveyed, as SAP HR 6.04 is already installed on ECC, they cannot install SAP HR 6.00 on the same ECC server".

Check if it is possible to delete SAP HR 6.04 component in ERP and update it with only SAP HR 6.00.

Before doing this activity please check with your functional consultants whether they are using SAP HR 6.04 for any other functional activity, Check if they are OK to use SAP HR 6.00.

Else customize the objects.

Regards

Praveen K

stefan_grube
Active Contributor
0 Kudos

When the same interfaces are part of HR 6.00 and HR 6.04 also, it should be possible to create (or use) ABAP proxy based on on 6.04, but mapping is derived from 6.00 (check if interfaces are absolute equal).

interface determination in PI is based on interface name only, SWVC is not relevant.

Just upload both versions (6.00 + 6.04) to ESR.

Answers (2)

Answers (2)

Former Member
0 Kudos

HI Madhu,

I am facing the same issue i.e not able to view the components in sproxy. You already worked in HMRC Interface if you have any documents would you please share with me it will be more helpful.

Thanks & Regards,

Kiran.

stefan_grube
Active Contributor
0 Kudos

The SWVC has to applied in ABAP part of the ECC, the SLD information will not be used.

Check in your ECC for the installed components.